Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.impl.jcr.jackrabbit
Class ClusteredCacheListener

    java.lang.Object
      org.jboss.portal.cms.impl.jcr.jackrabbit.ClusteredCacheListener

All Implemented Interfaces:
  org.jboss.cache.TreeCacheListener

    public class ClusteredCacheListener

extends java.lang.Object
implements org.jboss.cache.TreeCacheListener

Constructor Summary
`ClusteredCacheListener()`

Method Summary
`void` | `cacheStarted(org.jboss.cache.TreeCache treeCache)`
`void` | `cacheStopped(org.jboss.cache.TreeCache treeCache)`
`void` | `nodeCreated(org.jboss.cache.Fqn fqn)`
`void` | `nodeEvicted(org.jboss.cache.Fqn fqn)`
`void` | `nodeLoaded(org.jboss.cache.Fqn fqn)`
`void` | `nodeModified(org.jboss.cache.Fqn fqn)`
`void` | `nodeRemoved(org.jboss.cache.Fqn fqn)`
`void` | `nodeVisited(org.jboss.cache.Fqn fqn)`
`static java.lang.String` | `parseNodeName(java.lang.String id)`
`static void` | `storeInternalCache(java.lang.String node, org.apache.jackrabbit.core.ItemId item, org.apache.jackrabbit.core.state.ItemStateCache cache)`
`void` | `viewChange(org.jgroups.View view)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClusteredCacheListener

    public ClusteredCacheListener()

Method Detail

### storeInternalCache

    public static void storeInternalCache(java.lang.String node,
                                          org.apache.jackrabbit.core.ItemId item,
                                          org.apache.jackrabbit.core.state.ItemStateCache cache)

### nodeEvicted

    public void nodeEvicted(org.jboss.cache.Fqn fqn)

  Specified by:
    `nodeEvicted` in interface `org.jboss.cache.TreeCacheListener`

### nodeModified

    public void nodeModified(org.jboss.cache.Fqn fqn)

  Specified by:
    `nodeModified` in interface `org.jboss.cache.TreeCacheListener`

### nodeCreated

    public void nodeCreated(org.jboss.cache.Fqn fqn)

  Specified by:
    `nodeCreated` in interface `org.jboss.cache.TreeCacheListener`

### nodeRemoved

    public void nodeRemoved(org.jboss.cache.Fqn fqn)

  Specified by:
    `nodeRemoved` in interface `org.jboss.cache.TreeCacheListener`

### nodeLoaded

    public void nodeLoaded(org.jboss.cache.Fqn fqn)

  Specified by:
    `nodeLoaded` in interface `org.jboss.cache.TreeCacheListener`

### nodeVisited

    public void nodeVisited(org.jboss.cache.Fqn fqn)

  Specified by:
    `nodeVisited` in interface `org.jboss.cache.TreeCacheListener`

### cacheStarted

    public void cacheStarted(org.jboss.cache.TreeCache treeCache)

  Specified by:
    `cacheStarted` in interface `org.jboss.cache.TreeCacheListener`

### cacheStopped

    public void cacheStopped(org.jboss.cache.TreeCache treeCache)

  Specified by:
    `cacheStopped` in interface `org.jboss.cache.TreeCacheListener`

### viewChange

    public void viewChange(org.jgroups.View view)

  Specified by:
    `viewChange` in interface `org.jboss.cache.TreeCacheListener`

### parseNodeName

    public static java.lang.String parseNodeName(java.lang.String id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.